import { Metadata } from 'next';
import ProductList from '@/components/products/ProductList';

export const metadata = {
  title: "Baymax | Product",
  description: "Generated by create next app",
};

export default async function page() {
  const response = await fetch("https://dummyjson.com/products");
  const data = await response.json();
  const products = data?.products || [];
  return (
    <div>
      <ProductList data={products} />
    </div>
  );
}
